Redmine - Patch #33786

Add missing fixture to UsersControllerTest
2020-07-30 06:57 - Yuichi HARADA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 4.2.0

Description

UsersControllerTest has failed.
$ RAILS_ENV=test bundle exec rake db:migrate:reset

$ RAILS_ENV=test bundle exec rake test TEST=test/functional/users_controller_test.rb
Run options: —--seed 59721

# Running:

Failure:

UsersControllerTest#test_show_should_list_all emails [test/functional/users_controller_ test.rb:265
13

<(?-mix:Email:)> expected but was

<My account>..

Expected 0 to be >= 1.

bin/rails test test/functional/users_controller_test.rb:258

Finished in 3.531463s, 15.8575 runs/s, 57.7664 assertions/s.
56 runs, 204 assertions, 1 failures, 0 errors, 0 skips

The cause was an insufficient fixture.

diff --git a/test/functional/users_controller_test.rb b/test/functional/users_controller_test.rb
index 0362d1fc8..5b9c51dd9 100644
—-—— a/test/functional/users_controller_test.rb
+++ b/test/functional/users_controller_test.rb
@@ -22,7 +22,7 Q@R require File.expand_path('../../test_helper', _ FILE_ )
class UsersControllerTest < Redmine::ControllerTest
include Redmine::I118n

- fixtures :users, :email_addresses, :projects, :members, :member_roles, :roles,
+ fixtures :users, :user_preferences, :email_addresses, :projects, :members, :member_roles, :role

:custom_fields, :custom_values, :groups_users,
:auth_sources,
:enabled_modules,

Associated revisions

Revision 19943 - 2020-08-02 07:38 - Go MAEDA
Add missing fixture to UsersControllerTest (#33786).

Patch by Yuichi HARADA.

History

#1 - 2020-08-02 07:38 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA
- Target version set to 4.2.0

Committed the patch. Thank you.
